%define upstream_name    File-ShareDir-Tarball
%define upstream_version 0.2.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Deal transparently with shared files distributed as tarballs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::chdir)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Test::File::ShareDir)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
If the shared files of a distribution are contained in a tarball (see the
Dist::Zilla::Plugin::ShareDir::Tarball manpage for why you would want to do
that), automatically extract the archive in a temporary directory and
return the path to that directory. If called for a regular distribution
without a bundle file ('shared-files.tar.gz'), it'll return the original
shared dir. In other words, from the consumer point of view, it'll behave
just like the File::ShareDir manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.2.2-10.mga10
+ Revision: 2198737
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.2.2-9.mga9
+ Revision: 1803725
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.2.2-8.mga8
+ Revision: 1494537
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.2.2-7.mga7
+ Revision: 1268167
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.2.2-6.mga6
+ Revision: 1027584
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.2.2-5.mga6
+ Revision: 948360
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.2-4.mga5
+ Revision: 742781
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.2-3.mga5
+ Revision: 684767
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.2.2-2.mga4
+ Revision: 527653
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 0.2.2-1.mga4
+ Revision: 441576
- update to 0.2.2

* Sun Jan 13 2013 umeabot <umeabot> 0.2.1-2.mga3
+ Revision: 367382
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.2.1-1.mga3
+ Revision: 315738
- update to 0.2.1

* Sun Oct 21 2012 jquelin <jquelin> 0.2.0-1.mga3
+ Revision: 308780
- adding missing buildrequires:
- imported package perl-File-ShareDir-Tarball


* Sun Oct 21 2012 cpan2dist 0.2.0-1mga
- initial mageia release, generated with cpan2dist
